Search or ask Docker

Start a container

POST /containers/{id}/start — Docker Engine API 1.57.

View Markdown
POST/containers/{id}/start

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

id path Required

ID or name of the container

Type: string

All schema constraints and annotations
{
  "type": "string"
}

detachKeys query

Override the key sequence for detaching a container. Format is a single character [a-Z] or ctrl-<value> where <value> is one of: a-z, @, ^, [, , or _.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Response 204

no error

No response content is declared.

Response 304

container already started

No response content is declared.

Response 400

bad parameter, including an invalid checkpoint ID

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 404

no such container

application/json

Schema: ErrorResponse

Example

{
  "message": "No such container: c2ada9df5af8"
}

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

Complete operation contract
{
  "operationId": "ContainerStart",
  "parameters": [
    {
      "description": "ID or name of the container",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "Override the key sequence for detaching a container. Format is a\nsingle character `[a-Z]` or `ctrl-\u003cvalue\u003e` where `\u003cvalue\u003e` is one\nof: `a-z`, `@`, `^`, `[`, `,` or `_`.\n",
      "in": "query",
      "name": "detachKeys",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "204": {
      "description": "no error"
    },
    "304": {
      "description": "container already started"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "bad parameter, including an invalid checkpoint ID"
    },
    "404": {
      "content": {
        "application/json": {
          "example": {
            "message": "No such container: c2ada9df5af8"
          },
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "no such container"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "Start a container",
  "tags": [
    "Container"
  ]
}